# all files / ol/render/canvas/ canvas.js

100% Statements 19/19
100% Branches 2/2
100% Functions 1/1
100% Lines 19/19

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    1121×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×
    365×
    5×
    5×
    5×

     goog.provide('ol.render.canvas');

    /**
     * @typedef {{fillStyle: ol.ColorLike}}
     */
    ol.render.canvas.FillState;

    /**
     * @typedef {{lineCap: string,
     *            lineDash: Array.<number>,
     *            lineJoin: string,
     *            lineWidth: number,
     *            miterLimit: number,
     *            strokeStyle: string}}
     */
    ol.render.canvas.StrokeState;

    /**
     * @typedef {{font: string,
     *            textAlign: string,
     *            textBaseline: string}}
     */
    ol.render.canvas.TextState;

    /**
     * @const
     * @type {string}
     */
    ol.render.canvas.defaultFont = '10px sans-serif';

    /**
     * @const
     * @type {ol.Color}
     */
    ol.render.canvas.defaultFillStyle = [0, 0, 0, 1];

    /**
     * @const
     * @type {string}
     */
    ol.render.canvas.defaultLineCap = 'round';

    /**
     * @const
     * @type {Array.<number>}
     */
    ol.render.canvas.defaultLineDash = [];

    /**
     * @const
     * @type {string}
     */
    ol.render.canvas.defaultLineJoin = 'round';

    /**
     * @const
     * @type {number}
     */
    ol.render.canvas.defaultMiterLimit = 10;

    /**
     * @const
     * @type {ol.Color}
     */
    ol.render.canvas.defaultStrokeStyle = [0, 0, 0, 1];

    /**
     * @const
     * @type {string}
     */
    ol.render.canvas.defaultTextAlign = 'center';

    /**
     * @const
     * @type {string}
     */
    ol.render.canvas.defaultTextBaseline = 'middle';

    /**
     * @const
     * @type {number}
     */
    ol.render.canvas.defaultLineWidth = 1;

    /**
     * @param {CanvasRenderingContext2D} context Context.
     * @param {number} rotation Rotation.
     * @param {number} offsetX X offset.
     * @param {number} offsetY Y offset.
     */
    ol.render.canvas.rotateAtOffset = function(context, rotation, offsetX, offsetY) {
      if (rotation !== 0) {
        context.translate(offsetX, offsetY);
        context.rotate(rotation);
        context.translate(-offsetX, -offsetY);
      }
    };